summaryrefslogtreecommitdiffstats
path: root/libraries/purple-plugin_pack
diff options
context:
space:
mode:
author bughunter22010-05-12 17:42:05 +0200
committer Robby Workman2010-05-12 17:42:05 +0200
commit08f07ab41a4331e0bfd4b85c3a65125528ac8cb6 (patch)
tree5f8a65540212ae8197438bca11185561ad52074e /libraries/purple-plugin_pack
parentd91c19fa615a07a840f5ddf42a00352cc0bb90c6 (diff)
downloadslackbuilds-08f07ab41a4331e0bfd4b85c3a65125528ac8cb6.tar.gz
libraries/purple-plugin_pack: Updated for version 2.5.1
Diffstat (limited to 'libraries/purple-plugin_pack')
-rw-r--r--libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild66
-rw-r--r--libraries/purple-plugin_pack/purple-plugin_pack.info10
-rw-r--r--libraries/purple-plugin_pack/slack-desc4
3 files changed, 42 insertions, 38 deletions
diff --git a/libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild b/libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild
index dd966b5d88..04943230a0 100644
--- a/libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild
+++ b/libraries/purple-plugin_pack/purple-plugin_pack.SlackBuild
@@ -1,66 +1,70 @@
#!/bin/sh
# Guilherme revision date 15 Aug 07
-# Heavily modified by Robby Workman of the SlackBuilds.org project 20071020
+# Heavily modified by Robby Workman of the SlackBuilds.org project
-APP=purple-plugin_pack
-VERSION=2.1.1
+PRGNAM=purple-plugin_pack
+VERSION=2.5.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$APP
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-rm -rf $TMP/$APP-$VERSION
-
-cd $TMP || exit 1
-tar xvf $CWD/$APP-$VERSION.tar.bz2 || exit 1
-cd $APP-$VERSION || exit 1
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
- ./configure \
+./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
-make || exit
-make install DESTDIR=$PKG || exit
+make
+make install DESTDIR=$PKG
-mkdir -p $PKG/usr/doc/$APP-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO VERSION \
- $PKG/usr/doc/$APP-$VERSION
-cat $CWD/$APP.SlackBuild > $PKG/usr/doc/$APP-$VERSION/$APP.SlackBuild
-find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- )
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ )
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
- )
-fi
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/purple-plugin_pack/purple-plugin_pack.info b/libraries/purple-plugin_pack/purple-plugin_pack.info
index 6203e4e32f..b38ce4f6a8 100644
--- a/libraries/purple-plugin_pack/purple-plugin_pack.info
+++ b/libraries/purple-plugin_pack/purple-plugin_pack.info
@@ -1,8 +1,8 @@
PRGNAM="purple-plugin_pack"
-VERSION="2.1.1"
+VERSION="2.5.1"
HOMEPAGE="http://plugins.guifications.org/trac/wiki/PluginPack"
-DOWNLOAD="http://slackbuilds.org/sources/12.1/purple-plugin_pack-2.1.1.tar.bz2"
-MD5SUM="f1410cca12d751e78bc3b6187373a33b"
-MAINTAINER="Guilherme Portalegre"
-EMAIL="deltas4@gmail.com"
+DOWNLOAD="http://slackbuilds.org/sources/12.2/purple-plugin_pack-2.5.1.tar.bz2"
+MD5SUM="c7026ed4e9fd3d1de4bed783aa1d9e00"
+MAINTAINER="bughunter2"
+EMAIL="bughunter2@googlemail.com"
APPROVED="rworkman"
diff --git a/libraries/purple-plugin_pack/slack-desc b/libraries/purple-plugin_pack/slack-desc
index d5d84d8e20..8cd08f6ae3 100644
--- a/libraries/purple-plugin_pack/slack-desc
+++ b/libraries/purple-plugin_pack/slack-desc
@@ -5,8 +5,8 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
-purple-plugin_pack: purple-plugin_pac (Over 30 plugins for Pidgin, Finch, and libpurple)
+ |-----handy-ruler------------------------------------------|
+purple-plugin_pack: purple-plugin_pac (plugins for Pidgin, Finch, libpurple)
purple-plugin_pack:
purple-plugin_pack: The Purple Plugin Pack was originally created by
purple-plugin_pack: Gary Kramelich and Stu Tomlinson as a way to distribute